Name:           basket
Summary:        Notes taker for KDE
Version:        1.0.2
Release:        1%{?dist}
URL:            http://basket.kde.org/
Source0:        http://basket.kde.org/downloads/basket-%{version}.tar.gz
License:        GPL

Group:          Applications/Productivity
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  kdelibs-devel, desktop-file-utils, gamin-devel
BuildRequires:  gpgme-devel, kdepim-devel
Requires:       kdebase >= 3.0, hicolor-icon-theme

%description
This application is mainly an all-purpose notes taker. It provides baskets
where any item can be dragged and dropped: text, formatted text, links,
images, sounds, files, colors, application launcher...
BasKet lets you keep all objects in one place, and keep data at hand.

%package kontact
Group:          Applications/Productivity
Summary:        Basket plugin for Kontact
Requires:       %{name} = %{version}-%{release}
Requires:       kdepim

%description kontact
This package contains the kontact plugin for BasKet.


%prep
%setup -q


%build
unset QTDIR && . %{_sysconfdir}/profile.d/qt.sh

%configure --disable-rpath --disable-debug
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Icons: use hicolor instead of crystalsvg
mv $RPM_BUILD_ROOT%{_datadir}/icons/{crystalsvg,hicolor}

# Menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install  --vendor fedora \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        --delete-original \
        --add-category Utility \
        --add-category Qt \
        --add-category KDE \
        $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/basket.desktop

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%{find_lang} %{name}
# HTML
for lang_dir in $RPM_BUILD_ROOT%{_docdir}/HTML/* ; do
  lang=$(basename $lang_dir)
  [ "$lang" == "en" ] && d=en/%{name} || d=$lang
  echo "%lang($lang) %doc %{_docdir}/HTML/$d" >> %{name}.lang
done


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null ||:


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING ChangeLog NEWS TODO
%{_bindir}/basket
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/actions/*.png
%{_datadir}/icons/hicolor/*/mimetypes/*.png
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/apps/basket
%{_libdir}/kde3/kcm_basket.*
%{_libdir}/kde3/libbasketpart.*
%{_libdir}/kde3/basketthumbcreator.*
%{_libdir}/libbasketcommon.so
%{_datadir}/services/*.desktop
%{_datadir}/config/magic/basket.magic
%{_datadir}/mimelnk/application/*.desktop

%files kontact
%{_datadir}/apps/kontact/ksettingsdialog/kontact_basketplugin.setdlg
%{_datadir}/services/kontact/*.desktop
%{_libdir}/kde3/libkontact_basket.*


%changelog
* Tue Apr 24 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.0.2-1
- version 1.0.2 (bug 237660)

* Sun Mar 18 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.0.1-1
- version 1.0.1

* Sat Feb 17 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.0-2
- split off the kontact plugin, patch by Laurent Rineau (see bug 228966)

* Mon Feb 12 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.0-1
- version 1.0

* Wed Oct 25 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.6.0-1
- version 0.6.0

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.5.0-10
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.5.0-9
- add explicit linking to libfam

* Tue Sep 19 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.5.0-8
- rebuild

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.5.0-7
- BR: gamin-devel

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.5.0-6
- rebuild

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.5.0-5
- rebuild for FC5

* Mon Oct 17 2005 Aurelien Bompard <gauret[AT]free.fr> 0.5.0-4
- add patch for 64 bits

* Fri Oct 14 2005 Aurelien Bompard <gauret[AT]free.fr> 0.5.0-3
- don't add the extension to the icon, it's useless
- touch the icon dir in post and postun

* Fri Oct 14 2005 Aurelien Bompard <gauret[AT]free.fr> 0.5.0-2
- own the doc dir
- use hicolor instead of crystalsvg as icon theme
- add extension to the icon in the desktop file

* Wed Oct 12 2005 Aurelien Bompard <gauret[AT]free.fr> 0.5.0-1
- port to Fedora from Mandriva (release 3)
